Skip to content
logo Knowledgebase

Sage 200 - Developer - Essential Software Maintenance

Created on  | Last modified on 

Summary

Communication sent to the developer channel in regards to Sage ID changes in Sage 200

Description

This communication was sent 18 February 2020.

Essential Software Maintenance

Notice 20-E | 18 February 2020

Resolution

Dear Developer,

Sage ID is transforming. Sage is undergoing a transformation to a new system which is an underpin for our future identity strategy. Sage ID will support new standards such as JWT and Open ID and will replace our current Sage ID offering. The latest version of Sage ID is not backward compatible with the existing in market version of Sage ID and therefore any applications that use this technology need to be upgraded.

The Sage 200 API makes use of Sage ID for authentication. Therefore any third party addons that you have developed using the Sage 200 API will need to be updated before 31st August 2020 to make use of the latest version of Sage ID. To support our customers we are remastering 2016 SP2, Summer 2017 and Summer 2018 versions, these will be available no later than 03 March 2020. All versions will implement the latest version of Sage ID, therefore any third party applications using the API and targeted at Sage 200 2016 SP2 or above will need to be updated to use the latest version of Sage ID.

There are some other changes which we're informing partners, you can see the communication here.

We're in the process of completing our documentation that will support you with any questions you may have, we will be sharing this in advance of the software releases.

Regards

Jo Kirkup

Product Manager: Sage 200